/**
 * 注册请求
 * 
 */
import { z } from "zod";

import { booleanOrFalse, stringOrEmpty } from "../nullable-defaults";

export const RegisterRequestSchema = z.object({
  username: z.string(),
  email: z.string(),
  password: z.string(),
  platform: z.string(),
  guestId: stringOrEmpty,
  isTestAccount: booleanOrFalse,
});

export type RegisterRequestInput = z.input<typeof RegisterRequestSchema>;
export type RegisterRequestData = z.output<typeof RegisterRequestSchema>;
